hercules (3.13-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Update lintian override info format in d/hercules.lintian-overrides
    on line 3.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Adjusted d/rules to also pass CPPFLAGS for hardening.
  * Adjusted d/rules to remove libltdl in clean target, for rebuildability
    (Closes: #1047859).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 May 2024 23:12:01 +0200

hercules (3.13-7) unstable; urgency=medium

  * Orphan the package.

 -- Philipp Kern <pkern@debian.org>  Sun, 06 Dec 2020 15:37:47 +0100

hercules (3.13-6) unstable; urgency=medium

  * Modernize some of the packaging:
    - Bump to debhelper v12.
    - Symlink duplicate installed files.
    - Set "Rules requires root: no".
    - Install HTML documentation into /usr/share/doc rather than
      /usr/share and /usr/share/doc.
    - Remove obsolete manpage symlinks. (Doubtful that this solution
      is actually great, but the documentation currently lives in
      the HTML files.)
    - Bump Standards-Version to 3.9.6.
  * Move hercifc (helper binary) to /usr/libexec/hercules. Also set
    CAP_NET_ADMIN on the binary to allow TUN/TAP networking as an
    unprivileged user.
  * Add a lintian override for libhercs: It just provides some
    shared function pointers and does not require any external
    library.

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Nov 2020 15:47:17 +0100

hercules (3.13-5) unstable; urgency=medium

  * Properly purge all Makefiles in the build output.

 -- Philipp Kern <pkern@debian.org>  Mon, 16 Nov 2020 14:13:20 +0100

hercules (3.13-4) unstable; urgency=medium

  * Do not install Makefile.gz from the documentation directory.
    This should make the package build reproducibly.

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Nov 2020 22:07:38 +0100

hercules (3.13-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't list -l flags in Makefile dependencies.
    (Closes: #958130)

 -- Philipp Kern <pkern@debian.org>  Mon, 27 Apr 2020 07:56:23 +0200

hercules (3.13-2) unstable; urgency=medium

  * Convert to source format 3.0 (quilt).
  * Update to debhelper compat level 11.

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Apr 2020 22:23:02 +0200

hercules (3.13-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 13:13:08 +0100

hercules (3.12-3) unstable; urgency=medium

  * Always compile with strict alignment turned on to avoid a segfault
    on start.
  * Avoid another segfault when commands are entered before the text
    user interface is up.

 -- Philipp Kern <pkern@debian.org>  Sun, 20 Aug 2017 14:31:31 +0200

hercules (3.12-2) unstable; urgency=medium

  * Build-depend on automake instead of automake1.11. (Closes: #865165)
  * Packaging cleanups:
    - Bump debhelper compatibility level from 7 to 9.
    - Use dh-autoreconf.
    - Rework debian/rules to use dh instead of raw debhelper.
    - Change priority from extra to optional.

 -- Philipp Kern <pkern@debian.org>  Sun, 06 Aug 2017 14:51:50 +0200

hercules (3.12-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Jan 2016 20:39:30 +0100

hercules (3.11-1) unstable; urgency=medium

  * New upstream release
    - Updated debian/copyright to fit.
    - Updated debian/watch to point to the new homepage of 3.x.
  * Take over maintainership of the package: It has not seen a maintainer
    upload since 2010.
  * Added dpkg-buildflags to the configure invocation to get hardening
    flags. Adapted the build system to fit.
  * Depend on libcap2-dev on linux-any instead of a manual exclusion list.
    (Closes: #634511)

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Oct 2015 20:41:11 +0200

hercules (3.07-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724388)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 14:45:34 -0500

hercules (3.07-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Empty dependency_libs (Closes: #621249).
  * Add LDFLAGS to really Closes: #615729.

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 16:50:07 +0200

hercules (3.07-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable external GUI (Closes: #585508)
  * Explicit specify needed library (Closes: #615729)

 -- Liang Guo <bluestonechina@gmail.com>  Tue, 29 Mar 2011 09:26:35 +0800

hercules (3.07-2) unstable; urgency=low

  * Try again with automake 1.10 (Cloes: #575325)

 -- Peter 'p2' De Schrijver <p2@debian.org>  Thu, 25 Mar 2010 00:29:13 +0200

hercules (3.07-1) unstable; urgency=low

  * New upstream release (Closes: #573355)
  * Integrated multiple fixes from Simon McVittie (Closes: #557162)
  * Added dasdinit manpage (Closes: #542143)
  * Updated package description (Closes: #569913)
  * Updated README.Debian. Thanks to Frans Pop. (Closes: #573355)
  * Integrated fix for CVE-2009-3736. Thanks to Thorsten Glaser. (Closes: #559815)

 -- Peter 'p2' De Schrijver <p2@debian.org>  Tue, 23 Mar 2010 20:24:26 +0200

hercules (3.06-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use autoreconf in order to use system libltdl instead of the bundled
    one (upgrading from 1.x to 2.2). (Closes: #559815) (CVE-2009-3736)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 24 Jan 2010 00:44:52 +0000

hercules (3.06-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install the private libraries into a private directory, making it
    unnecessary to run ldconfig (Closes: #553110)
  * Apply patch from Petr Salinger to not build-depend on libcap2-dev on
    non-Linux ports (Closes: #544545)
  * Apply patch from Martin Michlmayr pre-emptively fixing compilation with
    gcc-4.4 (Closes: #513233)
  * Put copyright holders and licenses in debian/copyright, not just a pointer
    (Policy §12.5)
  * Various minor QA, mainly prompted by Lintian warnings:
    - modernize watch file (Closes: #529114)
    - upgrade debhelper compat level from 3 to 7 (still compatible with stable)
    - add ${misc:Depends} to Depends, as per debhelper (>= 4) documentation
    - support DEB_BUILD_OPTIONS=noopt
    - upgrade config.{guess,sub} during build using autotools-dev
    - add the usual --build/--host stuff as per autotools-dev documentation
    - debian/menu: modernize menu section (menu-item-uses-apps-section)
    - use dh_prep instead of deprecated dh_clean -k
    - hercules.doc-base: use appropriate section
    - don't ignore errors from make distclean

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2009 23:38:37 +0000

hercules (3.06-1) unstable; urgency=low

  * New upstream release
  * Added configure option --enable-capabilities (Closes: #470460)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sat, 17 Jan 2009 19:20:47 +0200

hercules (3.05-2) unstable; urgency=low

  * fix license issue (Closes: #473195)
  * fixes for late 3.05 issues (Closes: #437107)
  * update autoconf foo (Closes: #414519)

 -- Peter De Schrijver (p2) <p2@debian.org>  Sun, 30 Mar 2008 15:47:15 +0300

hercules (3.05-1) unstable; urgency=low

  * New upstream release.

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 10 Mar 2008 03:21:44 +0200

hercules (3.04.1-3) unstable; urgency=low

  * run hercules with networking as non-root. Thanks to Ivan Warren for the
    patch. (Closes: #402191)

 --  <p2@debian.org>  Wed, 11 Apr 2007 23:42:16 +0200

hercules (3.04.1-2) unstable; urgency=low

  * Fix bizarre compile problem (why does this only happen on ARM ??) (Closes: #414567)
  * Add Freebsd support for debian (Closes: #414519)

 --  <p2@debian.org>  Tue, 13 Mar 2007 00:39:24 +0100

hercules (3.04.1-1) unstable; urgency=low

  * New upstream release (Closes: #381550)
  * removed broken de.po (Closes: #313777)
  * Suggest x3270 (Closes: #397674)
  * Added updated version of joeyh's d-i howto (Closes: #338387)

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 12 Feb 2007 22:27:12 +0100

hercules (3.03.1-1) unstable; urgency=low

  * New upstream release (Closes: #345716)

 -- Peter De Schrijver (p2) <p2@debian.org>  Tue,  3 Jan 2006 19:17:21 +0100

hercules (3.0.2-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #289121, #184217, #241064, #251287)
  * Remove x3270 from suggests (Closes: #318130)

 -- Peter De Schrijver (p2) <p2@debian.org>  Mon, 24 Oct 2005 01:38:32 +0200

hercules (2.17.1-2) unstable; urgency=low

  * Update config.{guess,sub} (Closes: #182650)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 27 Feb 2003 09:54:00 -0500

hercules (2.17.1-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Fri, 14 Feb 2003 16:49:17 -0500

hercules (2.17-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Sun,  2 Feb 2003 22:50:16 -0500

hercules (2.16.5-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Tue,  9 Jul 2002 23:09:21 -0400

hercules (2.16.4-2) unstable; urgency=medium

  * Apply Greg Smith's fix to CCKD, fixing a bug which could cause
    corruption of CCKD volumes

 -- Matt Zimmerman <mdz@debian.org>  Sat,  6 Jul 2002 18:30:06 -0400

hercules (2.16.4-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Sat,  6 Jul 2002 00:17:38 -0400

hercules (2.16.2-1) unstable; urgency=low

  * New upstream release
  * Revert our patch to configure.ac, as the FE_INEXACT issue has been
    fixed elsewhere in the upstream source

 -- Matt Zimmerman <mdz@debian.org>  Thu, 23 May 2002 19:49:59 -0400

hercules (2.16.1-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Sun,  5 May 2002 23:43:44 -0400

hercules (2.16-2) unstable; urgency=medium

  * Fix bad merge of configure which caused the version number to be
    reported as 2.15
  * Install upstream changelog again, now that it has returned
    (Closes: #144702)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 27 Apr 2002 10:29:08 -0400

hercules (2.16-1) unstable; urgency=low

  * New upstream release
  * Revert to reading hercules.cnf from the current directory to match
    upstream behaviour
  * Only include hercules.cnf as an example

 -- Matt Zimmerman <mdz@debian.org>  Tue, 23 Apr 2002 22:02:59 -0400

hercules (2.15-4) unstable; urgency=medium

  * Disable IEEE floating point support if FE_INEXACT is not defined by
    fenv.h.  This will allow hercules to build on ARM
    (Closes: #134308)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Feb 2002 01:01:55 -0500

hercules (2.15-3) unstable; urgency=low

  * Build with -ffunction-sections on hppa (Closes: #127243)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 18 Jan 2002 15:28:46 -0500

hercules (2.15-2) unstable; urgency=low

  * Remove debian/conffiles, as we use DH_COMPAT=3.  This avoids listing
    the same conffile twice

 -- Matt Zimmerman <mdz@debian.org>  Sun, 30 Dec 2001 14:11:09 -0500

hercules (2.15-1) unstable; urgency=low

  * New upstream release.
  * Includes fix for the floating-point problem which broke
    update-alternatives (Closes: #115415)
  * Fix a typo in the description, and add a statement requested by Roger
    Bowler, original author.  Also clean up and shorted descriptions
    somewhat.
  * Include bzip2 CCKD support (Closes: #114416)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 29 Dec 2001 21:27:27 -0500

hercules (2.13-3) unstable; urgency=low

  * Correct typo in extended description (also fixed in upstream
    documentation)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 Nov 2001 02:30:18 -0500

hercules (2.13-2) unstable; urgency=low

  * On powerpc, pass -Dsqrtl=sqrt, since there is no sqrtl and double ==
    long double.
  * On ARM, don't even try to compile the IEEE floating-point routines.
    (-DNO_IEEE_SUPPORT)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 28 Jul 2001 19:20:10 -0400

hercules (2.13-1) unstable; urgency=low

  * New upstream version.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 25 Jul 2001 17:54:35 -0400

hercules (2.12-2) unstable; urgency=low

  * Applied patch from LaMont Jones to fix compilation with gcc 3.0
    (Closes: #104595)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 13 Jul 2001 18:26:34 -0400

hercules (2.12-1) unstable; urgency=low

  * New upstream version.  Upstream changes are extensive, see CHANGES.

 -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Jun 2001 14:03:33 -0400

hercules (2.11-4) unstable; urgency=low

  * Remove reference to "later in this document" that was accidentally
    included in the manual excerpt used for the extended description
    (Closes: #98144)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 20 May 2001 15:57:36 -0400

hercules (2.11-3) unstable; urgency=low

  * Fixed priority to match override file

 -- Matt Zimmerman <mdz@debian.org>  Wed,  2 May 2001 15:19:41 -0400

hercules (2.11-2) unstable; urgency=low

  * Added missing \ to menu entry (oops)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 30 Apr 2001 02:51:28 -0400

hercules (2.11-1) unstable; urgency=low

  * New upstream version  From the upstream changelog:
    - LFPC/SFPC/STFPC IEEE floating point instructions (Jan Jaeger)
    - Fixes to CMPSC (Bernard van der Helm)
    - Extended translation fac. 2 (PKA/PKU/UNPKA/UNPKU) (Roger Bowler)
    - Divide logical (DL/DLR/DLG/DLGR) instructions (Vic Cross)
    - Display instruction operands (Roger Bowler)
    - Fix to load_psw (Roger Bowler)
    - Add hercules.rc initialization file (Willem Konynenberg)
    - Fix SIE host interrupt IA backup (Jan Jaeger)
    - Fix SSKE RCP index error (Jan Jaeger)
    - TP instruction (Roger Bowler)
    - Tape datachaining patch (Brandon Hill)
    - Patch to bypass Cygwin stack problem (service.c) (Greg Smith)
    - Fixes for windows port (Volker Bandke)
    - SSK/ISK/RRB fix for 2K storage keys (Valery Pogonchenko and Jan Jaeger)
    - TRAP2 TRAP4 and RP instructions (Jan Jaeger)
    - Varous fixes for panel.c (Roger Bowler)
    - Interval Timer fix (Bob Abeles)
    - Deconfigure CPU's in release_config() (Greg Smith)
    - Change panel break command to 64 bit (Jan Jaeger)
    - Add ALCGR, SLBGR, ALCG, SLBG, ALCR, SLCR, ALC, SLB, AGF, ALGF, SGF, SGFR, AGFR, RRL, RRLG, MSGF, MSGFR, SLGFR instructions (Jan Jaeger)
    - Fix MVCLE instruction where op2 len > op1 len (Jan Jaeger)
    - Fix various sign/casting problems in esame.c (Jan Jaeger)
    - Change constant type in cmpsc.c to prevent warning (Jan Jaeger)
    - Fix S/370 interval timer (Valery Pogonchenko and Jay Maynard)
    - Correct sign on LLILH (Jan Jaeger)

  * Document command line option -f in manpage

 -- Matt Zimmerman <mdz@debian.org>  Sun, 29 Apr 2001 14:14:34 -0400

hercules (2.10-1) unstable; urgency=low

  * Initial Release (Closes: #95289)
  * Includes my small patch to enable tunnel networking on 2.4 kernels

 -- Matt Zimmerman <mdz@debian.org>  Sat, 28 Apr 2001 23:31:06 -0400
